| showdb

## Function

Displays information on the currently available databases

## Description

This writes out a simple table displaying the names, contents and available ways of accessing the sequence databases.

The available ways of accessing the databases are 'ID', 'Query' and 'All'. These refer to the way that you can search the databases to get entries from them, which is governed by the ways the database has been set up and the way it is organised and indexed.

Different databases may have different access capabilities, depending on how your local site is organised.

EMBOSS has been designed to be extremely flexible in its use of sequence databases formats, so that it is easy to set EMBOSS up to use your site's existing databases. Sometimes this means that it is hard to extract entries from some databases in particular ways. For example, a flat file database with no index is only useful for reading all entries, while a database located in another site that is available via the WWW may only provide single entries.

'ID' (also known as 'single entry') allows the programs to extract a single explicitly named entry from the database, for example embl:x13776

'Query' (also known as 'wild') indicates that programs can extract a set of matching wildcard entry names (this may be slow for some methods of access). For example you can look at all of the human PAX proteins in SWISS_PROT by: swissprot:pax*_human

'All' allows the programs to analyse all the entries in the database sequentially. For example this lets you look at all entries in the database with the notation: embl:*

A database may have several different methods of access available. Ideally all of the databases available on your site will be available in all three ways, but this is not the best of all posssible worlds and so you might like to check how you can access the databases by running this program and having a look.

## Usage

Here is a sample session with showdb

Display information on the currently available databases:

    % showdb
    Displays information on the currently available databases

    # Name           Type  ID  Qry All Comment
    # ============== ==== ==  === === =======
    qapblast         P    OK  OK  OK  BLAST swissnew
    qapblastall      P    OK  OK  OK  BLAST swissnew, all fields indexed
    qapblastsplit    P    OK  OK  OK  BLAST swissnew split in 5 files
    qapblastsplitexc P    OK  OK  OK  BLAST swissnew split in 5 files, not file 02
    qapblastsplitinc P    OK  OK  OK  BLAST swissnew split in 5 files, only file 02
    qapfasta         P    OK  OK  OK  FASTA file swissnew entries
    qapflat          P    OK  OK  OK  SpTrEmbl flatfile
    qapflatall       P    OK  OK  OK  SpTrEmbl flatfiles, all fields indexed
    qapir            P    OK  OK  OK  PIR
    qapirall         P    OK  OK  OK  PIR
    qapirinc         P    OK  OK  OK  PIR
    qapxfasta        P    OK  OK  OK  FASTA file swissnew entries
    qapxflat         P    OK  OK  OK  Swissnew flatfiles
    qaxpir           P    OK  OK  OK  PIR
    qaxpirall        P    OK  OK  OK  PIR
    qaxpirinc        P    OK  OK  OK  PIR
    tpir             P    OK  OK  OK  PIR using NBRF access for 4 files
    tsw              P    OK  OK  OK  Swissprot native format with EMBL CD-ROM index
    tswnew           P    OK  OK  OK  SpTrEmbl as 3 files in native format with EMBL CD-ROM index
    twp              P    OK  OK  OK  EMBL new in native format with EMBL CD-ROM index
    genbanksrs       N    OK  -   -   Genbank IDs
    qanfasta         N    OK  OK  OK  FASTA file EMBL rodents
    qanfastaall      N    OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanflat          N    OK  OK  OK  EMBL flatfiles
    qanflatall       N    OK  OK  OK  EMBL flatfiles
    qanflatexc       N    OK  OK  OK  EMBL flatfiles, no rodent file
    qanflatinc       N    OK  OK  OK  EMBL flatfiles, only rodent file
    qangcg           N    OK  OK  OK  GCG format EMBL
    qangcgall        N    OK  OK  OK  GCG format EMBL
    qangcgexc        N    OK  OK  OK  GCG format EMBL without prokaryotes
    qangcginc        N    OK  OK  OK  GCG format EMBL only prokaryotes
    qanxfasta        N    OK  OK  OK  FASTA file EMBL rodents
    qanxfastaall     N    OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanxflat         N    OK  OK  OK  EMBL flatfiles
    qanxflatall      N    OK  OK  OK  EMBL flatfiles, all fields indexed
    qanxflatexc      N    OK  OK  OK  EMBL flatfiles, no rodent file
    qanxflatinc      N    OK  OK  OK  EMBL flatfiles, only rodent file
    qanxgcg          N    OK  OK  OK  GCG format EMBL
    qanxgcgall       N    OK  OK  OK  GCG format EMBL
    qanxgcgexc       N    OK  OK  OK  GCG format EMBL without prokaryotes
    qanxgcginc       N    OK  OK  OK  GCG format EMBL only prokaryotes
    qapirexc         N    OK  OK  OK  PIR
    qasrswww         N    OK  -   -   Remote SRS web server
    qawfasta         N    OK  OK  OK  FASTA file wormpep entries
    qawxfasta        N    OK  OK  OK  FASTA file wormpep entries
    qaxpirexc        N    OK  OK  OK  PIR
    tembl            N    OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblall         N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    temblrest        N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    temblvrt         N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    testdb           N    OK  OK  OK  test sequence data
    tgb              N    OK  -   -   Genbank IDs
    tgenbank         N    OK  OK  OK  GenBank in native format with EMBL CD-ROM index

Example 2

Write the results to a file:

    % showdb -outfile showdb.out
    Displays information on the currently available databases

Go to the output files for this example

Example 3

Display information on one explicit database:

    % showdb -database tsw
    Displays information on the currently available databases

    # Name         Type  ID  Qry All Comment
    # ============ ==== ==  === === =======
    tsw            P    OK  OK  OK  Swissprot native format with EMBL CD-ROM index

Go to the input files for this example

Example 4

Display information on the databases formatted in HTML:

    % showdb -html
    Displays information on the currently available databases

    NameTypeIDQryAllComment
    qapblastPOK  OK  OK  BLAST swissnew
    qapblastallPOK  OK  OK  BLAST swissnew, all fields indexed
    qapblastsplitPOK  OK  OK  BLAST swissnew split in 5 files
    qapblastsplitexcPOK  OK  OK  BLAST swissnew split in 5 files, not file 02
    qapblastsplitincPOK  OK  OK  BLAST swissnew split in 5 files, only file 02
    qapfastaPOK  OK  OK  FASTA file swissnew entries
    qapflatPOK  OK  OK  SpTrEmbl flatfile
    qapflatallPOK  OK  OK  SpTrEmbl flatfiles, all fields indexed
    qapirPOK  OK  OK  PIR
    qapirallPOK  OK  OK  PIR
    qapirincPOK  OK  OK  PIR
    qapxfastaPOK  OK  OK  FASTA file swissnew entries
    qapxflatPOK  OK  OK  Swissnew flatfiles
    qaxpirPOK  OK  OK  PIR
    qaxpirallPOK  OK  OK  PIR
    qaxpirincPOK  OK  OK  PIR
    tpirPOK  OK  OK  PIR using NBRF access for 4 files
    tswPOK  OK  OK  Swissprot native format with EMBL CD-ROM index
    tswnewPOK  OK  OK  SpTrEmbl as 3 files in native format with EMBL CD-ROM index
    twpPOK  OK  OK  EMBL new in native format with EMBL CD-ROM index
    genbanksrsNOK  -   -   Genbank IDs
    qanfastaNOK  OK  OK  FASTA file EMBL rodents
    qanfastaallNOK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanflatNOK  OK  OK  EMBL flatfiles
    qanflatallNOK  OK  OK  EMBL flatfiles
    qanflatexcNOK  OK  OK  EMBL flatfiles, no rodent file
    qanflatincNOK  OK  OK  EMBL flatfiles, only rodent file
    qangcgNOK  OK  OK  GCG format EMBL
    qangcgallNOK  OK  OK  GCG format EMBL
    qangcgexcNOK  OK  OK  GCG format EMBL without prokaryotes
    qangcgincNOK  OK  OK  GCG format EMBL only prokaryotes
    qanxfastaNOK  OK  OK  FASTA file EMBL rodents
    qanxfastaallNOK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanxflatNOK  OK  OK  EMBL flatfiles
    qanxflatallNOK  OK  OK  EMBL flatfiles, all fields indexed
    qanxflatexcNOK  OK  OK  EMBL flatfiles, no rodent file
    qanxflatincNOK  OK  OK  EMBL flatfiles, only rodent file
    qanxgcgNOK  OK  OK  GCG format EMBL
    qanxgcgallNOK  OK  OK  GCG format EMBL
    qanxgcgexcNOK  OK  OK  GCG format EMBL without prokaryotes
    qanxgcgincNOK  OK  OK  GCG format EMBL only prokaryotes
    qapirexcNOK  OK  OK  PIR
    qasrswwwNOK  -   -   Remote SRS web server
    qawfastaNOK  OK  OK  FASTA file wormpep entries
    qawxfastaNOK  OK  OK  FASTA file wormpep entries
    qaxpirexcNOK  OK  OK  PIR
    temblNOK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblallN-   -   OK  EMBL in native format with EMBL CD-ROM index
    temblrestN-   -   OK  EMBL in native format with EMBL CD-ROM index
    temblvrtN-   -   OK  EMBL in native format with EMBL CD-ROM index
    testdbNOK  OK  OK  test sequence data
    tgbNOK  -   -   Genbank IDs
    tgenbankNOK  OK  OK  GenBank in native format with EMBL CD-ROM index

Example 5

Display protein databases only:

    % showdb -nonucleic
    Displays information on the currently available databases

    # Name           Type  ID  Qry All Comment
    # ============== ==== ==  === === =======
    qapblast         P    OK  OK  OK  BLAST swissnew
    qapblastall      P    OK  OK  OK  BLAST swissnew, all fields indexed
    qapblastsplit    P    OK  OK  OK  BLAST swissnew split in 5 files
    qapblastsplitexc P    OK  OK  OK  BLAST swissnew split in 5 files, not file 02
    qapblastsplitinc P    OK  OK  OK  BLAST swissnew split in 5 files, only file 02
    qapfasta         P    OK  OK  OK  FASTA file swissnew entries
    qapflat          P    OK  OK  OK  SpTrEmbl flatfile
    qapflatall       P    OK  OK  OK  SpTrEmbl flatfiles, all fields indexed
    qapir            P    OK  OK  OK  PIR
    qapirall         P    OK  OK  OK  PIR
    qapirinc         P    OK  OK  OK  PIR
    qapxfasta        P    OK  OK  OK  FASTA file swissnew entries
    qapxflat         P    OK  OK  OK  Swissnew flatfiles
    qaxpir           P    OK  OK  OK  PIR
    qaxpirall        P    OK  OK  OK  PIR
    qaxpirinc        P    OK  OK  OK  PIR
    tpir             P    OK  OK  OK  PIR using NBRF access for 4 files
    tsw              P    OK  OK  OK  Swissprot native format with EMBL CD-ROM index
    tswnew           P    OK  OK  OK  SpTrEmbl as 3 files in native format with EMBL CD-ROM index
    twp              P    OK  OK  OK  EMBL new in native format with EMBL CD-ROM index

Example 6

Display the information with no headings:

    % showdb -noheading
    Displays information on the currently available databases

    qapblast         P    OK  OK  OK  BLAST swissnew
    qapblastall      P    OK  OK  OK  BLAST swissnew, all fields indexed
    qapblastsplit    P    OK  OK  OK  BLAST swissnew split in 5 files
    qapblastsplitexc P    OK  OK  OK  BLAST swissnew split in 5 files, not file 02
    qapblastsplitinc P    OK  OK  OK  BLAST swissnew split in 5 files, only file 02
    qapfasta         P    OK  OK  OK  FASTA file swissnew entries
    qapflat          P    OK  OK  OK  SpTrEmbl flatfile
    qapflatall       P    OK  OK  OK  SpTrEmbl flatfiles, all fields indexed
    qapir            P    OK  OK  OK  PIR
    qapirall         P    OK  OK  OK  PIR
    qapirinc         P    OK  OK  OK  PIR
    qapxfasta        P    OK  OK  OK  FASTA file swissnew entries
    qapxflat         P    OK  OK  OK  Swissnew flatfiles
    qaxpir           P    OK  OK  OK  PIR
    qaxpirall        P    OK  OK  OK  PIR
    qaxpirinc        P    OK  OK  OK  PIR
    tpir             P    OK  OK  OK  PIR using NBRF access for 4 files
    tsw              P    OK  OK  OK  Swissprot native format with EMBL CD-ROM index
    tswnew           P    OK  OK  OK  SpTrEmbl as 3 files in native format with EMBL CD-ROM index
    twp              P    OK  OK  OK  EMBL new in native format with EMBL CD-ROM index
    genbanksrs       N    OK  -   -   Genbank IDs
    qanfasta         N    OK  OK  OK  FASTA file EMBL rodents
    qanfastaall      N    OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanflat          N    OK  OK  OK  EMBL flatfiles
    qanflatall       N    OK  OK  OK  EMBL flatfiles
    qanflatexc       N    OK  OK  OK  EMBL flatfiles, no rodent file
    qanflatinc       N    OK  OK  OK  EMBL flatfiles, only rodent file
    qangcg           N    OK  OK  OK  GCG format EMBL
    qangcgall        N    OK  OK  OK  GCG format EMBL
    qangcgexc        N    OK  OK  OK  GCG format EMBL without prokaryotes
    qangcginc        N    OK  OK  OK  GCG format EMBL only prokaryotes
    qanxfasta        N    OK  OK  OK  FASTA file EMBL rodents
    qanxfastaall     N    OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanxflat         N    OK  OK  OK  EMBL flatfiles
    qanxflatall      N    OK  OK  OK  EMBL flatfiles, all fields indexed
    qanxflatexc      N    OK  OK  OK  EMBL flatfiles, no rodent file
    qanxflatinc      N    OK  OK  OK  EMBL flatfiles, only rodent file
    qanxgcg          N    OK  OK  OK  GCG format EMBL
    qanxgcgall       N    OK  OK  OK  GCG format EMBL
    qanxgcgexc       N    OK  OK  OK  GCG format EMBL without prokaryotes
    qanxgcginc       N    OK  OK  OK  GCG format EMBL only prokaryotes
    qapirexc         N    OK  OK  OK  PIR
    qasrswww         N    OK  -   -   Remote SRS web server
    qawfasta         N    OK  OK  OK  FASTA file wormpep entries
    qawxfasta        N    OK  OK  OK  FASTA file wormpep entries
    qaxpirexc        N    OK  OK  OK  PIR
    tembl            N    OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblall         N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    temblrest        N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    temblvrt         N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    testdb           N    OK  OK  OK  test sequence data
    tgb              N    OK  -   -   Genbank IDs
    tgenbank         N    OK  OK  OK  GenBank in native format with EMBL CD-ROM index

Example 7

Display just a list of the available database names:

    % showdb -noheading -notype -noid -noquery -noall -nocomment -auto

    qapblast
    qapblastall
    qapblastsplit
    qapblastsplitexc
    qapblastsplitinc
    qapfasta
    qapflat
    qapflatall
    qapir
    qapirall
    qapirinc
    qapxfasta
    qapxflat
    qaxpir
    qaxpirall
    qaxpirinc
    tpir
    tsw
    tswnew
    twp
    genbanksrs
    qanfasta
    qanfastaall
    qanflat
    qanflatall
    qanflatexc
    qanflatinc
    qangcg
    qangcgall
    qangcgexc
    qangcginc
    qanxfasta
    qanxfastaall
    qanxflat
    qanxflatall
    qanxflatexc
    qanxflatinc
    qanxgcg
    qanxgcgall
    qanxgcgexc
    qanxgcginc
    qapirexc
    qasrswww
    qawfasta
    qawxfasta
    qaxpirexc
    tembl
    temblall
    temblrest
    temblvrt
    testdb
    tgb
    tgenbank

Example 8

Display only the names and types:

    % showdb -only -type
    Displays information on the currently available databases

    qapblast         P
    qapblastall      P
    qapblastsplit    P
    qapblastsplitexc P
    qapblastsplitinc P
    qapfasta         P
    qapflat          P
    qapflatall       P
    qapir            P
    qapirall         P
    qapirinc         P
    qapxfasta        P
    qapxflat         P
    qaxpir           P
    qaxpirall        P
    qaxpirinc        P
    tpir             P
    tsw              P
    tswnew           P
    twp              P
    genbanksrs       N
    qanfasta         N
    qanfastaall      N
    qanflat          N
    qanflatall       N
    qanflatexc       N
    qanflatinc       N
    qangcg           N
    qangcgall        N
    qangcgexc        N
    qangcginc        N
    qanxfasta        N
    qanxfastaall     N
    qanxflat         N
    qanxflatall      N
    qanxflatexc      N
    qanxflatinc      N
    qanxgcg          N
    qanxgcgall       N
    qanxgcgexc       N
    qanxgcginc       N
    qapirexc         N
    qasrswww         N
    qawfasta         N
    qawxfasta        N
    qaxpirexc        N
    tembl            N
    temblall         N
    temblrest        N
    temblvrt         N
    testdb           N
    tgb              N
    tgenbank         N

Example 9

Display everything

    % showdb -full
    Displays information on the currently available databases

    # Name           Type  ID  Qry All Method    Fields            Defined  Release  Comment
    # ============== ==== ==  === === ========= ================= ======= ======= =======
    qapblast         P    OK  OK  OK  blast     -                 special         BLAST swissnew
    qapblastall      P    OK  OK  OK  blast     sv,des            special         BLAST swissnew, all fields indexed
    qapblastsplit    P    OK  OK  OK  blast     -                 special         BLAST swissnew split in 5 files
    qapblastsplitexc P    OK  OK  OK  blast     -                 special         BLAST swissnew split in 5 files, not file 02
    qapblastsplitinc P    OK  OK  OK  blast     -                 special         BLAST swissnew split in 5 files, only file 02
    qapfasta         P    OK  OK  OK  emblcd    -                 special         FASTA file swissnew entries
    qapflat          P    OK  OK  OK  emblcd    -                 special         SpTrEmbl flatfile
    qapflatall       P    OK  OK  OK  emblcd    sv,des,org,key    special         SpTrEmbl flatfiles, all fields indexed
    qapir            P    OK  OK  OK  gcg       -                 special         PIR
    qapirall         P    OK  OK  OK  gcg       des,org,key       special         PIR
    qapirinc         P    OK  OK  OK  gcg       -                 special         PIR
    qapxfasta        P    OK  OK  OK  emboss    -                 special         FASTA file swissnew entries
    qapxflat         P    OK  OK  OK  emboss    -                 special         Swissnew flatfiles
    qaxpir           P    OK  OK  OK  embossgcg -                 special         PIR
    qaxpirall        P    OK  OK  OK  embossgcg des,org,key       special         PIR
    qaxpirinc        P    OK  OK  OK  embossgcg -                 special         PIR
    tpir             P    OK  OK  OK  gcg       des,org,key       special         PIR using NBRF access for 4 files
    tsw              P    OK  OK  OK  emblcd    sv,des,org,key    special 36      Swissprot native format with EMBL CD-ROM index
    tswnew           P    OK  OK  OK  emblcd    sv,des,org,key    special 37      SpTrEmbl as 3 files in native format with EMBL CD-ROM index
    twp              P    OK  OK  OK  emblcd    des               special 16      EMBL new in native format with EMBL CD-ROM index
    genbanksrs       N    OK  -   -   srswww    gi,sv,des,org,key global          Genbank IDs
    qanfasta         N    OK  OK  OK  emblcd    -                 special         FASTA file EMBL rodents
    qanfastaall      N    OK  OK  OK  emblcd    sv,des            special         FASTA file EMBL rodents, all fields indexed
    qanflat          N    OK  OK  OK  emblcd    -                 special         EMBL flatfiles
    qanflatall       N    OK  OK  OK  emblcd    -                 special         EMBL flatfiles
    qanflatexc       N    OK  OK  OK  emblcd    -                 special         EMBL flatfiles, no rodent file
    qanflatinc       N    OK  OK  OK  emblcd    -                 special         EMBL flatfiles, only rodent file
    qangcg           N    OK  OK  OK  gcg       -                 special         GCG format EMBL
    qangcgall        N    OK  OK  OK  gcg       sv,des,org,key    special         GCG format EMBL
    qangcgexc        N    OK  OK  OK  gcg       -                 special         GCG format EMBL without prokaryotes
    qangcginc        N    OK  OK  OK  gcg       -                 special         GCG format EMBL only prokaryotes
    qanxfasta        N    OK  OK  OK  emboss    -                 special         FASTA file EMBL rodents
    qanxfastaall     N    OK  OK  OK  emboss    sv,des            special         FASTA file EMBL rodents, all fields indexed
    qanxflat         N    OK  OK  OK  emboss    -                 special         EMBL flatfiles
    qanxflatall      N    OK  OK  OK  emboss    des,org,key       special         EMBL flatfiles, all fields indexed
    qanxflatexc      N    OK  OK  OK  emboss    -                 special         EMBL flatfiles, no rodent file
    qanxflatinc      N    OK  OK  OK  emboss    -                 special         EMBL flatfiles, only rodent file
    qanxgcg          N    OK  OK  OK  embossgcg -                 special         GCG format EMBL
    qanxgcgall       N    OK  OK  OK  embossgcg sv,des,org,key    special         GCG format EMBL
    qanxgcgexc       N    OK  OK  OK  embossgcg -                 special         GCG format EMBL without prokaryotes
    qanxgcginc       N    OK  OK  OK  embossgcg -                 special         GCG format EMBL only prokaryotes
    qapirexc         N    OK  OK  OK  gcg       -                 special         PIR
    qasrswww         N    OK  -   -   srswww    sv,des,org,key    special         Remote SRS web server
    qawfasta         N    OK  OK  OK  emblcd    -                 special         FASTA file wormpep entries
    qawxfasta        N    OK  OK  OK  emboss    -                 special         FASTA file wormpep entries
    qaxpirexc        N    OK  OK  OK  embossgcg -                 special         PIR
    tembl            N    OK  OK  OK  emblcd    sv,des,org,key    special 57      EMBL in native format with EMBL CD-ROM index
    temblall         N    -   -   OK  direct    sv,des,org,key    special 57      EMBL in native format with EMBL CD-ROM index
    temblrest        N    -   -   OK  direct    sv,des,org,key    special 57      EMBL in native format with EMBL CD-ROM index
    temblvrt         N    -   -   OK  direct    sv,des,org,key    special 57      EMBL in native format with EMBL CD-ROM index
    testdb           N    OK  OK  OK  emblcd    des               special 01      test sequence data
    tgb              N    OK  -   -   srswww    sv,des,org,key    special         Genbank IDs
    tgenbank         N    OK  OK  OK  emblcd    sv,des,org,key    special 01      GenBank in native format with EMBL CD-ROM index

## Command line arguments

       Standard (Mandatory) qualifiers: (none)
       Additional (Optional) qualifiers:
       -database           string     Name of a single database to give
                                      information on (Any string is accepted)
       -html               boolean    [N] Format output as an HTML table
       -[no]protein        boolean    [Y] Display protein databases
       -[no]nucleic        boolean    [Y] Display nucleic acid databases
       -full               boolean    [N] Display all columns
       -methods            boolean    [$(full)] This displays the access methods
                                      that can be used on this database, for all,
                                      query or ID access
       -fields             boolean    [$(full)] This displays the search fields
                                      that can be used on this database, other
                                      than the standard 'id' or 'acc' fields.
       -defined            boolean    [$(full)] This displays a short name for the
                                      file containing the database definition
       -release            boolean    [$(full)] Display 'release' column
       -outfile            outfile    [stdout] Output file name

       Advanced (Unprompted) qualifiers:
       -only               toggle     [N] This is a way of shortening the command
                                      line if you only want a few standard columns
                                      to be displayed. Instead of specifying:
                                      '-nohead -notype -noid -noquery -noall'
                                      to get only the comment output, you can
                                      specify
                                      '-only -comment'
       -heading            boolean    [@(!$(only))] Display column headings
       -type               boolean    [@(!$(only))] Display 'type' column
       -id                 boolean    [@(!$(only))] Display 'id' column
       -query              boolean    [@(!$(only))] Display 'qry' column
       -all                boolean    [@(!$(only))] Display 'all' column
       -comment            boolean    [@(!$(only))] Display 'comment' column

       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory         string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
(none)
Additional (Optional) qualifiers | Allowed values | Default
-database | Name of a single database to give information on | Any string is accepted | An empty string is accepted
-html | Format output as an HTML table | Boolean value Yes/No | No
-[no]protein | Display protein databases | Boolean value Yes/No | Yes
-[no]nucleic | Display nucleic acid databases | Boolean value Yes/No | Yes
-full | Display all columns | Boolean value Yes/No | No
-methods | This displays the access methods that can be used on this database, for all, query or ID access | Boolean value Yes/No | $(full)
-fields | This displays the search fields that can be used on this database, other than the standard 'id' or 'acc' fields. | Boolean value Yes/No | $(full)
-defined | This displays a short name for the file containing the database definition | Boolean value Yes/No | $(full)
-release | Display 'release' column | Boolean value Yes/No | $(full)
-outfile | Output file name | Output file | stdout
Advanced (Unprompted) qualifiers | Allowed values | Default
-only | This is a way of shortening the command line if you only want a few standard columns to be displayed. Instead of specifying: '-nohead -notype -noid -noquery -noall' to get only the comment output, you can specify '-only -comment' | Toggle value Yes/No | No
-heading | Display column headings | Boolean value Yes/No | @(!$(only))
-type | Display 'type' column | Boolean value Yes/No | @(!$(only))
-id | Display 'id' column | Boolean value Yes/No | @(!$(only))
-query | Display 'qry' column | Boolean value Yes/No | @(!$(only))
-all | Display 'all' column | Boolean value Yes/No | @(!$(only))
-comment | Display 'comment' column | Boolean value Yes/No | @(!$(only))

## Input file format

None.

### Input files for usage example 3

'tsw' is a sequence entry in the example protein database 'tsw'

## Output file format

### Output files for usage example 2

### File: showdb.out

    # Name           Type  ID  Qry All Comment
    # ============== ==== ==  === === =======
    qapblast         P    OK  OK  OK  BLAST swissnew
    qapblastall      P    OK  OK  OK  BLAST swissnew, all fields indexed
    qapblastsplit    P    OK  OK  OK  BLAST swissnew split in 5 files
    qapblastsplitexc P    OK  OK  OK  BLAST swissnew split in 5 files, not file 02
    qapblastsplitinc P    OK  OK  OK  BLAST swissnew split in 5 files, only file 02
    qapfasta         P    OK  OK  OK  FASTA file swissnew entries
    qapflat          P    OK  OK  OK  SpTrEmbl flatfile
    qapflatall       P    OK  OK  OK  SpTrEmbl flatfiles, all fields indexed
    qapir            P    OK  OK  OK  PIR
    qapirall         P    OK  OK  OK  PIR
    qapirinc         P    OK  OK  OK  PIR
    qapxfasta        P    OK  OK  OK  FASTA file swissnew entries
    qapxflat         P    OK  OK  OK  Swissnew flatfiles
    qaxpir           P    OK  OK  OK  PIR
    qaxpirall        P    OK  OK  OK  PIR
    qaxpirinc        P    OK  OK  OK  PIR
    tpir             P    OK  OK  OK  PIR using NBRF access for 4 files
    tsw              P    OK  OK  OK  Swissprot native format with EMBL CD-ROM index
    tswnew           P    OK  OK  OK  SpTrEmbl as 3 files in native format with EMBL CD-ROM index
    twp              P    OK  OK  OK  EMBL new in native format with EMBL CD-ROM index
    genbanksrs       N    OK  -   -   Genbank IDs
    qanfasta         N    OK  OK  OK  FASTA file EMBL rodents
    qanfastaall      N    OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanflat          N    OK  OK  OK  EMBL flatfiles
    qanflatall       N    OK  OK  OK  EMBL flatfiles
    qanflatexc       N    OK  OK  OK  EMBL flatfiles, no rodent file
    qanflatinc       N    OK  OK  OK  EMBL flatfiles, only rodent file
    qangcg           N    OK  OK  OK  GCG format EMBL
    qangcgall        N    OK  OK  OK  GCG format EMBL
    qangcgexc        N    OK  OK  OK  GCG format EMBL without prokaryotes
    qangcginc        N    OK  OK  OK  GCG format EMBL only prokaryotes
    qanxfasta        N    OK  OK  OK  FASTA file EMBL rodents
    qanxfastaall     N    OK  OK  OK  FASTA file EMBL rodents, all fields indexed
    qanxflat         N    OK  OK  OK  EMBL flatfiles
    qanxflatall      N    OK  OK  OK  EMBL flatfiles, all fields indexed
    qanxflatexc      N    OK  OK  OK  EMBL flatfiles, no rodent file
    qanxflatinc      N    OK  OK  OK  EMBL flatfiles, only rodent file
    qanxgcg          N    OK  OK  OK  GCG format EMBL
    qanxgcgall       N    OK  OK  OK  GCG format EMBL
    qanxgcgexc       N    OK  OK  OK  GCG format EMBL without prokaryotes
    qanxgcginc       N    OK  OK  OK  GCG format EMBL only prokaryotes
    qapirexc         N    OK  OK  OK  PIR
    qasrswww         N    OK  -   -   Remote SRS web server
    qawfasta         N    OK  OK  OK  FASTA file wormpep entries
    qawxfasta        N    OK  OK  OK  FASTA file wormpep entries
    qaxpirexc        N    OK  OK  OK  PIR
    tembl            N    OK  OK  OK  EMBL in native format with EMBL CD-ROM index
    temblall         N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    temblrest        N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    temblvrt         N    -   -   OK  EMBL in native format with EMBL CD-ROM index
    testdb           N    OK  OK  OK  test sequence data
    tgb              N    OK  -   -   Genbank IDs
    tgenbank         N    OK  OK  OK  GenBank in native format with EMBL CD-ROM index

The output is a simple table.

Type 'P' indicates that this is a Protein database.

Type 'N' indicates that this is a Nucleic database.

'OK' under ID, Qry or All indicates that that access method can be used on this database. A '-' indicates that you cannot access this database in that way.

Note that 'OK' does not mean that the database is working correctly. It simply means that showdb has read the database definition correctly and that this method of access to the database should be possible.

If you are setting up a new database, then you should check that it works correctly by extracting entries from it using seqret.

When the -html qualifier is specified, then the output will be wrapped in HTML tags, ready for inclusion in a Web page. Note that tags such as <HTML>, <BODY>, </BODY> and </HTML> are not output by this program as the table of databases is expected to form only part of the contents of a web page - the rest of the web page must be supplied by the user.

## Data files

The databases are specified in the files "emboss.defaults" for site wide definitions, and "~/.embossrc" for the user's own settings.

## Notes

Note that 'OK' in the output does not mean that the database is working correctly. It simply means that showdb has read the database definition correctly and that this method of access to the database should be possible.

If you are setting up a new database, then you should check that it works correctly by extracting entries from it using seqret.

You can set up your own private databases by editing a file called '.embossrc' to contain database specifications.

You can set up public databases by editing the file '/usr/local/share/EMBOSS/emboss.default' (if you have the permission to do this).

The 'emboss.default' file will already have the definitions of the test databases in: tsw, tembl, tpir, etc. These are the databases that are used in the examples shown in the documentation of the programs.

For details of the database definitions, you should first read David's Administration Guide: http://emboss.sourceforge.net/docs/adminguide/ especially: http://emboss.sourceforge.net/docs/adminguide/adminguide/node4.html

See also: http://emboss.sourceforge.net/docs/themes/Databases.html for a lot of detail of the syntax of database definition.

Just because showdb can display the database definitions, it does NOT mean that the databases are set up correctly. You must now test them using seqret.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

"The database 'xyz' does not exist" You have supplied the name of a database with the -database qualifier, but that database does not exist as far as EMBOSS is concerned.

## Exit status

It always exits with status 0, unless the above diagnostic message is displayed.

## Known bugs

None noted.

## See also

Program name | Description
--- | ---
abiview | Reads ABI file and display the trace
cirdna | Draws circular maps of DNA constructs
infoalign | Information on a multiple sequence alignment
infoseq | Displays some simple information about sequences
lindna | Draws linear maps of DNA constructs
pepnet | Displays proteins as a helical net
pepwheel | Shows protein sequences as helices
prettyplot | Displays aligned sequences, with colouring and boxing
prettyseq | Output sequence with translated ranges
remap | Display sequence with restriction sites, translation etc
seealso | Finds programs sharing group names
showalign | Displays a multiple sequence alignment
showfeat | Show features of a sequence
showseq | Display a sequence with features, translation etc
sixpack | Display a DNA sequence with 6-frame translation and ORFs
textsearch | Search sequence documentation. Slow, use SRS and Entrez!
tfm | Displays a program's help documentation manual
whichdb | Search all databases for an entry
wossname | Finds programs by keywords in their one-line documentation

## Author(s)

Gary Williams (gwilliam © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

Completed 6th August 1999.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None